Bug 118853 - s-c-u doesn't properly label attributes on created users
Summary: s-c-u doesn't properly label attributes on created users
Status: CLOSED DUPLICATE of bug 118061
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-users   
(Show other bugs)
Version: rawhide
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Brent Fox
QA Contact:
URL:
Whiteboard:
Keywords: Security, SELinux
Depends On:
Blocks: FC2Blocker
TreeView+ depends on / blocked
 
Reported: 2004-03-21 17:49 UTC by G.Wolfe Woodbury
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 19:02:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description G.Wolfe Woodbury 2004-03-21 17:49:35 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114

Description of problem:
The anaconda created user works fine, users created with s-c-u can't
login via gdm or ssh.  Permissions are denied to use any of the . files

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. install from Development tree
2. create user via firstboot
3. login as firstboot user
4. create user via system-config-users
5. logout and attempt to login with new user
    

Actual Results:  login fails with many errors, especially related to
gnome-settings-daemon filing to access the users new home directory.

Expected Results:  normal login

Additional info:

too many error messages and AVCs to mention

Comment 1 Brent Fox 2004-03-23 22:24:29 UTC
Can you try creating a user with luseradd and then try to log in with
that user.  Does the problem still occur with that user?

Comment 2 G.Wolfe Woodbury 2004-03-23 23:07:40 UTC
created a new user with luseradd, there were still problems logging in.
The user home directory was messed up in its context and GDM login
failed severly, here is the ssh trace:

[ggw@baboushka ggw]$ ssh sfw@tembo.private
sfw@tembo.private's password:
/usr/X11R6/bin/xauth:  timeout in locking authority file
/home/sfw/.Xauthority
-bash: /home/sfw/.bash_profile: Permission denied
-bash-2.05b$ ls -lZa
drwx------+ sfw      sfw      root:object_r:home_root_t        .
drwxr-xr-x  root     root     system_u:object_r:home_root_t    ..
?---------  root     root     (null)                     .bash_logout
?---------  root     root     (null)                     .bash_profile
?---------  root     root     (null)                           .bashrc
?---------  root     root     (null)                           .emacs
?---------  root     root     (null)                           .gtkrc
drwxr-xr-x  sfw      sfw      root:object_r:home_root_t        .kde
drwxr-xr-x  sfw      sfw      root:object_r:home_root_t        .xemacs
?---------  root     root     (null)                           .zshrc
-bash-2.05b$


Comment 3 Brent Fox 2004-03-24 15:15:47 UTC

*** This bug has been marked as a duplicate of 118061 ***

Comment 4 Aleksey Nogin 2004-03-24 20:22:40 UTC
Bug 118061 is not public :-(

P.S. See also bug 118571.

Comment 5 Red Hat Bugzilla 2006-02-21 19:02:05 UTC
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.


Note You need to log in before you can comment on or make changes to this bug.